Skip to main content
agents

Create Chat Request

responses don't include our binary data so we can

  • save the files to minio, append our own message history with minio refs
  • pass the binaries to the agent as before then append the replies to the history.
  • Before sending the request we need to inflate the previously uploaded binaries from the refs in the message history
POST
/api/agents/{company_name}/chats/{chat_id}
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

company_namestringrequired
chat_idstringrequired
Required string length: 24 - 24
Pattern: ^[0-9a-f]{24}$
Example: 5eb7cf5a86d9755df3a6c593
agent_typeenum<string>querydefault:auto
Available options: get_routine_list_agent, extract_routine_agent, auto

Body

multipart/form-data
chat_requeststringdefault:
filesstring[]default:[]

Response

application/json

Successful Response

bodyany